# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### katesnippetsplugin (kpart) ################

tde_add_kpart( katesnippetsplugin AUTOMOC
  SOURCES plugin_katesnippets.cpp CWidgetSnippetsBase.ui cwidgetsnippets.h
    cwidgetsnippets.cpp csnippet.h csnippet.cpp CWidgetSnippetsBase.ui.h
  LINK kateinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES plugin_katesnippets.rc
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katesnippets
)

tde_create_translated_desktop(
  SOURCE katesnippets.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kate-plugins-desktops
)
